;; -*- coding: iso-2022-7bit -*-

;; Copyright 2009, 2011, 2014 Kevin Ryde.

;; Author: Kevin Ryde <user42_kevin@yahoo.com.au>
;; Keywords: maint
;; URL: http://user42.tuxfamily.org/finder-site-lisp-el/index.html

;; This file is part of finder-site-lisp-el.
;;
;; finder-site-lisp-el is free software; you can redistribute it and/or
;; modify it under the terms of the GNU General Public License as published
;; by the Free Software Foundation; either version 3, or (at your option)
;; any later version.
;;
;; finder-site-lisp-el is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
;; Public License for more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with finder-site-lisp-el; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.



(find-file "/usr/share/*emacs*/site-lisp/finder-site-lisp-el/finder-inf.el" t)


(defconst finder-site-lisp-coding 'xyzzy)

;; (defconst finder-site-lisp-coding 'iso-2022-7bit-unix)


(finder-site-lisp-nonascii "x$B>.3X4[!X%i%s%@%`%O%&%91Q8l<-E5!Y(By")
(finder-site-lisp-nonascii ",A0(B")
(eval (finder-site-lisp-nonascii "x$B>.3X4[!X%i%s%@%`%O%&%91Q8l<-E5!Y(By"))

(finder-site-lisp-nonascii "abc")



(lambda ()
  `(x y ,(+ 1 2)))


(mapatoms (lambda (symbol)
            (when (and (boundp symbol)
                       (stringp (symbol-value symbol))
                       (string-match "site-lisp" (symbol-value symbol)))
              (insert (format "%S %S\n\n" symbol (symbol-value symbol))))))
